import { ErrorBoundary } from '@/errors/ErrorBoundary';

import { VideoPlayer } from './components';
import { EnvDevelopment } from './components/EnvDevelopment/EnvDevelopment';
import { AppRoutes } from './scene/AppRoutes';
import { ServiceContextProvider } from './service/ServiceContext';

export const App = () => {
  return (
    <ServiceContextProvider>
      <EnvDevelopment />
      <ErrorBoundary>
        <AppRoutes />
      </ErrorBoundary>
      <VideoPlayer />
    </ServiceContextProvider>
  );
};

export default App;
